UnsupportedCallbackException (Java Platform SE 8 )
Keywords: javax.security.auth.callback.UnsupportedCallbackException class
Date: 2026-04-22

compact1, compact2, compact3
javax.security.auth.callback

## Class UnsupportedCallbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.security.auth.callback.UnsupportedCallbackException

- All Implemented Interfaces:
    Serializable

      public class UnsupportedCallbackException
      extends Exception

  Signals that a `CallbackHandler` does not recognize a particular `Callback`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedCallbackException(Callback callback)` Constructs a `UnsupportedCallbackException` with no detail message.
    `UnsupportedCallbackException(Callback callback, String msg)` Constructs a UnsupportedCallbackException with the specified detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Callback` | `getCallback()` Get the unrecognized `Callback`.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedCallbackException

          public UnsupportedCallbackException(Callback callback)

      Constructs a `UnsupportedCallbackException` with no detail message.

      Parameters:
        `callback` - the unrecognized `Callback`.

    - #### UnsupportedCallbackException

          public UnsupportedCallbackException(Callback callback,
                                              String msg)

      Constructs a UnsupportedCallbackException with the specified detail message. A detail message is a String that describes this particular exception.

      Parameters:
        `callback` - the unrecognized `Callback`.

        `msg` - the detail message.

  - ### Method Detail

    - #### getCallback

          public Callback getCallback()

      Get the unrecognized `Callback`.

      Returns:
        the unrecognized `Callback`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.